package com.uas.platform.b2b.service;

import com.uas.platform.b2b.model.NotExistOrders;

import java.util.List;

/**
 * 长平台不存在的ERP单据信息
 *
 * Created by hejq on 2018-06-19.
 */
public interface NotExistOrderService {

    /**
     * 通过企业UU和下载状态查询单据
     *
     * @param enUU 企业UU
     * @param status 下载状态
     * @param type 单据类型
     * @return
     */
    List<NotExistOrders> findByEnUUAndStatusAndType(Long enUU, Integer status, String type);

    /**
     * 根据返回id更新下载状态
     *
     * @param idArray 返回id串
     */
    void updateDownloadStatus(String[] idArray);

    /**
     * 通过单据编号，单据类型，序号保存未上传订单信息
     *
     * @param orderCode 单据编号
     * @param orderType 单据类型
     * @param detno 序号
     */
    void save(String orderCode, String orderType, Short detno);

    /**
     * 批量存储单据不存在信息
     *
     * @param orders 单据编号
     * @param paramString 异常信息
     * @param sign 标志
     */
    void batchSave(List<NotExistOrders> orders, String paramString, String sign);
}
