package com.uas.platform.b2b.service;

import com.uas.platform.b2b.model.NotExistProduct;

import java.util.List;

/**
 * 查询平台不存在的ERP的物料信息
 *
 * Created by hejq on 2018-03-14.
 */
public interface NotExistProductService {

    /**
     * 通过企业UU和下载状态查询未上传的物料
     *
     * @param enuu 企业UU
     * @param status 下载状态
     * @return
     */
    List<NotExistProduct> findByEnuuAndStatus(Long enuu, Integer status);

    /**
     * 更新下载状态
     *
     * @param idArray id信息
     */
    void updateDownloadStatus(String[] idArray);

    /**
     * 通过物料编号，单据来源，单据编号保存不存在物料信息
     *
     * @param prodCode 物料编号
     * @param source 单据来源
     * @param sourceCode 单据编号
     * @param detno 明细序号
     */
    void save(String prodCode, String source, String sourceCode, Short detno);

    /**
     * 批量存储物料未找到信息
     *
     * @param productList 物料信息
     * @param paramString 异常信息
     * @param sign 标志，方便查询对应的异常
     */
    void batchSave(List<NotExistProduct> productList, String paramString, String sign);
}
